### Virtual Method

# Gcr ImportInteraction supplement_async

#### Declaration [src]

    void
    supplement_async (
      GcrImportInteraction* interaction,
      GckBuilder* builder,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously supplement attributes before import. This means prompting the user for things like labels and the like. The needed attributes will have been passed to gcr_import_interaction_supplement_prep().

This method prompts the user and fills in the attributes.

#### Parameters

`builder` | `GckBuilder`
| Supplemented attributes.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellable object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
`user_data` | `gpointer`
| Data to be passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.